#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 mod
version:              0.1.2.2
visibility:           public
id:                   mod-0.1.2.2-E17WdNWUSWPHzUwAJfaA1n
key:                  mod-0.1.2.2-E17WdNWUSWPHzUwAJfaA1n
license:              MIT
copyright:            2017-2020 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/mod
synopsis:             Fast type-safe modular arithmetic
description:
    <https://en.wikipedia.org/wiki/Modular_arithmetic Modular arithmetic>,
    promoting moduli to the type level, with an emphasis on performance.
    Originally part of <https://hackage.haskell.org/package/arithmoi arithmoi> package.

category:             Math, Number Theory
abi:                  7c3777e9d7a5def41ca02e06dbb397d9
exposed:              True
exposed-modules:      Data.Mod Data.Mod.Word
import-dirs:          /usr/lib/ghc-9.0.2/site-local/mod-0.1.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/mod-0.1.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-mod
hs-libraries:         HSmod-0.1.2.2-E17WdNWUSWPHzUwAJfaA1n
depends:
    base-4.15.1.0 deepseq-1.4.5.0 integer-gmp-1.1
    primitive-0.7.3.0-4YY3VSdWTqoii1vz058dN
    semirings-0.6-7TqHW3wHxvBFtTF2d34q1P
    vector-0.12.3.1-35O4ef8MZDE9Y9qFX9F3Ug

haddock-interfaces:   /usr/share/doc/haskell-mod/html/mod.haddock
haddock-html:         /usr/share/doc/haskell-mod/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

